SPELL(1)

NAME
spell, spellin, spellout - find spelling errors

SYNOPSIS
spell [ -v ] [ -b ] [ -x ] [ -d hlist ] [ -s hstop ] [ -h spellhist ] [ file ] ...

spellin [ list ]

spellout [ -d ] list

DESCRIPTION
Spell collects words from the named documents, and looks them up in a spelling list. Words that neither occur among nor are derivable (by applying certain inflections, prefixes or suffixes) from words in the spelling list are printed on the standard output. If no files are named, words are collected from the standard input.

Spell ignores most troff, tbl and eqn(1) constructions.

Under the -v option, all words not literally in the spelling list are printed, and plausible derivations from spelling list words are indicated.

Under the -b option, British spelling is checked. Besides preferring centre, colour, speciality, travelled, etc., this option insists upon -ise in words like standardise, Fowler and the OED to the contrary notwithstanding.

Under the -x option, every plausible stem is printed with `=' for each word.

The spelling list is based on many sources. While it is more haphazard than an ordinary dictionary, it is also more effective with proper names and popular technical words. Coverage of the specialized vocabularies of biology, medicine and chemistry is light.

The auxiliary files used for the spelling list, stop list, and history file may be specified by arguments following the -d, -s, and -h options. The default files are indicated below. Copies of all output may be accumulated in the history file. The stop list filters out misspellings (e.g. thier=thy-y+ier) that would otherwise pass.

Two routines help maintain the hash lists used by spell. Both expect a set of words, one per line, from the standard input. Spellin combines the words from the standard input and the preexisting list file and places a new list on the standard output. If no list file is specified, the new list is created from scratch. Spellout looks up each word from the standard input and prints on the standard output those that are missing from (or present on, with option -d) the hashed list file. For example, to verify that hookey is not on the default spelling list, add it to your own private list, and then use it with spell,

    echo  hookey  |  spellout  /usr/dict/hlista
    echo  hookey  |  spellin  /usr/dict/hlista  >  myhlist
    spell  -d  myhlist  huckfinn

FILES
/usr/dict/hlist[ab]    hashed spelling lists, American & British, default for
-d
/usr/dict/hstop    hashed stop list, default for
-s
/dev/null    history file, default for
-h
/tmp/spell.$$*    temporary files
/usr/libexec/spell

SEE ALSO
deroff(1), sort(1), tee(1), sed(1)

BUGS
The spelling list's coverage is uneven; new installations will probably wish to monitor the output for several months to gather local additions.
British spelling was done by an American.